# Subscription set state

An action block that enables or disable a SIM/carrier subscription.

The fiber will proceed immediately without pause.

Note! This feature isn’t officially supported, requires Android 10+ and the privileged service, may not work on all devices.

## Input arguments

- Subscription state — whether to enable or disable subscription.
- Subscription id — id of subscription (SIM) to toggle, default is system default subscription.